aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.PutBucket

Synopsis

- data PutBucket = PutBucket {
  - pbBucket :: Bucket
  - pbCannedAcl :: Maybe CannedAcl
  - pbLocationConstraint :: LocationConstraint
  - pbXStorageClass :: Maybe StorageClass
  }
- putBucket :: Bucket -> PutBucket
- data PutBucketResponse = PutBucketResponse

# Documentation

data PutBucket #

Constructors

PutBucket |
Fields pbBucket :: Bucket pbCannedAcl :: Maybe CannedAcl pbLocationConstraint :: LocationConstraint pbXStorageClass :: Maybe StorageClass Google Cloud Storage S3 nonstandard extension

Instances

Show PutBucket # |
Methods showsPrec :: Int -> PutBucket -> ShowS # show :: PutBucket -> String # showList :: [PutBucket] -> ShowS #
SignQuery PutBucket # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration PutBucket :: * -> * # Methods signQuery :: PutBucket -> ServiceConfiguration PutBucket queryType -> SignatureData -> SignedQuery #
Transaction PutBucket PutBucketResponse # |
type ServiceConfiguration PutBucket # |
type ServiceConfiguration PutBucket = S3Configuration

putBucket :: Bucket -> PutBucket #

data PutBucketResponse #

Constructors

PutBucketResponse |

Instances

Show PutBucketResponse # |
Methods showsPrec :: Int -> PutBucketResponse -> ShowS # show :: PutBucketResponse -> String # showList :: [PutBucketResponse] -> ShowS #
AsMemoryResponse PutBucketResponse # |
Associated Types type MemoryResponse PutBucketResponse :: * # Methods loadToMemory :: PutBucketResponse -> ResourceT IO (MemoryResponse PutBucketResponse) #
Transaction PutBucket PutBucketResponse # |
ResponseConsumer r PutBucketResponse # |
Associated Types type ResponseMetadata PutBucketResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata PutBucketResponse) -> HTTPResponseConsumer PutBucketResponse #
type MemoryResponse PutBucketResponse # |
type MemoryResponse PutBucketResponse = PutBucketResponse
type ResponseMetadata PutBucketResponse # |
type ResponseMetadata PutBucketResponse = S3Metadata